import { Text, View } from "@tarojs/components"
import classnames from "classnames";
import EstimatedAmount from "./components/estimatedAmount";
import styles  from './index.module.scss'
 
 export default () => {
     return (
        <View className={styles.order_main}>
            <View className={styles.order_title}>
               <Text>收货方式</Text>
               <View className={styles.order_status}>物流</View>                
               <View className={styles.order_status}>上门自提</View>                
            </View>
            <View className={styles.order_address}>
                <View className={classnames(styles.order_address_icon, 'iconfont icon-shaixuan')}></View>
                <View className={styles.order_address_text}>请选择收货地址及信息</View>
                <View className={classnames(styles.order_address_more_icon, 'iconfont icon-jiantou')}></View>
            </View>
            <View className={styles.orders_list_con}>
                <View className={styles.order_list}>
                    <View className={styles.order_list_title}>
                        <View className={styles.tag}>大货</View>
                        <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                        <View className={styles.num}>共3种</View>
                    </View>
                    <View className={styles.order_list_scroll}>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                    </View>
                </View>
                <View className={styles.order_list}>
                    <View className={styles.order_list_title}>
                        <View className={styles.tag}>大货</View>
                        <View className={styles.title}>0770# 21S单面平纹(食毛)</View>
                        <View className={styles.num}>共3种</View>
                    </View>
                    <View className={styles.order_list_scroll}>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                        <View className={styles.order_list_item}>
                            <View className={styles.order_list_item_img}></View>
                            <View className={styles.order_list_item_con}>
                                <View className={styles.order_list_item_des}>
                                    <View className={styles.order_list_item_title}>1# 薄荷绿</View>
                                    <View className={styles.order_list_item_price}>¥40/kg</View>
                                </View>
                                <View className={styles.order_list_item_count}>
                                    <View className={styles.count_num}>×1<text>条</text></View>
                                    <View className={styles.count_price}><text>¥</text>1,000.5</View>
                                </View>
                            </View>
                        </View>
                    </View>
                </View>
                <View className={styles.order_estimated_amount}>
                    <EstimatedAmount/>    
                    <View className={styles.order_price_des}>（按照25kg/条, 预估金额）</View>
                </View>
            </View>
            <View className={styles.order_desc}>
                <View className={styles.order_desc_con}>订单备注</View>
                <View className={styles.order_desc_text}>点击填写</View>
                <View className={classnames(styles.miconfont, 'iconfont icon-jiantou')}></View>
            </View>
            <View className={styles.submit_order}>
                <EstimatedAmount style={{color:'#007AFF'}}/>    
                <View className={styles.order_btn}>提交订单</View>    
            </View>        
            <View className="common_safe_area_y"></View>
        </View>
     )
 }