import { Text, View } from "@tarojs/components"
import styles  from './index.module.scss'
type Param = {
    style?: Object
}
export default ({style}:Param) => {
    return (
        <View className={styles.order_price}>
            <Text className={styles.order_price_text}>预估金额</Text>
            <View className={styles.order_price_num} style={style}>
                <Text>¥</Text>
                <Text>6,001</Text>
                <Text>.00</Text>
            </View>
        </View>
    )
}